Bug 1031129 - Using directory grouping by-type results in the wrong logging.properties file being used
Using directory grouping by-type results in the wrong logging.properties file...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
TBD EAP 6
All All
unspecified Severity medium
: DR0
: EAP 6.3.0
Assigned To: James Perkins
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks: 1050068
  Show dependency treegraph
 
Reported: 2013-11-15 11:53 EST by James Perkins
Modified: 2014-06-28 11:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1050068 (view as bug list)
Environment:
Last Closed: 2014-06-28 11:38:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2514 Major Resolved Using directory grouping by-type results in the wrong logging.properties file being used 2015-09-18 03:54:36 EDT

  None (edit)
Description James Perkins 2013-11-15 11:53:17 EST
Description of problem:
When defining servers with directory-grouping="by-type" the wrong directory is used in the ManagedServerBootCmdFactory. This causes the domain/configuration/logging.properties to always be used which is the incorrect configuration to use.


Steps to Reproduce:
1. Edit the hosts.xml and add the directory-grouping="by-type" attribute
2. Start the domain servers
3. Restart the domain servers

Actual results:
domain/logs/server-one/server.log gets overwritten instead of appended


Expected results:
The log file should be appended.

A workaround is to edit the BOOT_LOG handler in the domain/configuration/logging.properties file or add a logging.properties file to the domain/servers/server-one/data directory.
Comment 2 JBoss JIRA Server 2013-11-22 17:55:06 EST
James Perkins <jperkins@redhat.com> made a comment on jira WFLY-2514

Pull request merged
Comment 5 Petr Kremensky 2014-02-24 10:48:53 EST
Verified on EAP 6.3.0.DR0.

Note You need to log in before you can comment on or make changes to this bug.